<template>
  <div class="account-voyage" :class="{'voyage-auction': isType === STEP.AUCTION}">
    <div class="account-voyage--opportunity">
      <Signal :counter="order.helper_logistic ? order.helper_logistic.status : ''"/>
      <span>Возможен дальнейший рейс</span>
      <i class="icon question"/>
    </div>
    <a
        @click="showModal"
        class="account-voyage--view"
    >
      Посмотреть подходящие машины
    </a>
    <suitable-cars ref="suitable-cars" class="voyage-auction--border"/>
  </div>
</template>

<script>
  import Signal from '../../../../../components/signal';
  import SuitableCars from './suitableCars';
  import STEPS from '@/constants/steps.js';
  import {mapGetters, mapActions} from "vuex";
  export default {
    name: "voyage",
    components: {
      Signal,
      SuitableCars
    },
    props: {
      isType: {
        type: String,
        default: ''
      }
    },
    data () {
      return {
        STEP: STEPS
      }
    },
    computed: {
      ...mapGetters({
        order: 'account/order'
      })
    },
    methods: {
      ...mapActions('account', ['writeDataLogistic', 'turnOrderHelperLoader']),
      showModal() {
        this.$refs['suitable-cars'].$refs['list-cars-modal'].open()
        this.writeDataLogistic()
        this.turnOrderHelperLoader(true)
      }
    }
  }
</script>

<style scoped lang="scss">
  .account-voyage {
    display: flex;
    flex-flow: column;
    align-items: center;
    margin-top: 27px;
    &.voyage-auction {
      margin: 15px 0 5px;
      padding: 14px 0;
      border-bottom: 1px solid $lavender;
    }
    &--opportunity {
      display: flex;
      margin-bottom: 10px;
      span {
        margin: 0 10px;
        font-weight: bold;
        font-size: 16px;
        line-height: 20px;
        letter-spacing: 0.4px;
        color: #191E32;
      }
      i {
        color: $gray-slate;
        margin-top: 3px;
      }
    }
    &--view {
      color: $color-blue-smalt;
      line-height: 20px;
      letter-spacing: 0.2px;
      cursor: pointer;
    }
  }
</style>
